<?php

namespace App\JsonRpc;
interface WebsiteServiceInterface
{
    /**
     * @param array $data
     */
    public function getWebsitetList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id,array $data): array;

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id): array;

    /**
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id): array;

    public function getWebsiteColumn(array $data): array;
    public function getWebsiteColumnList(array $data): array;
    public function createWebsiteColumn(array $data): array;
    public function updateWebsiteColumn(int $id,array $data): array;
    public function getWebsiteRoleList(string $keyword,int $page,int $pageSize,int $websiteId): array;
    public function createWebsiteRole(array $data): array;
    public function updateWebsiteRole(int $id,array $data): array;
    public function delWebsiteRole(int $id): array;
    public function getWebsiteRoleUserList(string $keyword,int $page,int $pageSize,int $websiteId,int $roleId): array;
    public function createWebsiteRoleUser(array $data): array;
    public function updateWebsiteRoleUser(int $id,array $data): array;
    public function delWebsiteRoleUser(int $id): array;
    public function getWebsiteId(array $data): array;
    public function getWebsiteCategory(array $data): array;

    public function getAdminIndex(array $data): array;
    public function getTemplateClass(array $data): array;
    public function addTemplateClass(array $data): array;
    public function upTemplateClass(array $data): array;
    public function delTemplateClass(array $data): array;
    public function getTemplate(array $data): array;
    public function addTemplate(array $data): array;
    public function upTemplate(array $data): array;
    public function delTemplate(array $data): array;
    public function websiteList(array $data): array;
    public function addWebsiteCategory(array $data): array;
    public function delWebsiteCategory(array $data): array;
    public function getAdminWebsiteCategory(array $data): array;
    public function upWebsiteCategory(array $data): array;
    public function getWebsiteCategoryList(array $data): array;

    public function delWebsiteAllCategory(array $data): array;
    public function getWebsiteCategoryOnes(array $data): array;
    public function upWebsiteCategoryones(array $data): array;
    public function getWebsiteAllCategory(array $data): array;

}
